Deployments.ai Docs
Observability

Show tool calls, errors, and latency

GET /v1/observability/tools · SDK getObservabilityToolMetrics · CLI deployments observability tools

GET
/v1/observability/tools

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

from?string

Inclusive window start (RFC 3339); defaults to to minus 24 hours.

Formatdate-time
to?string

Window end (RFC 3339); defaults to now.

Formatdate-time
agentDeploymentId?string

Only tool calls made by runs of this agent deployment.

Match^[A-Za-z0-9._:-]+$
Length1 <= length <= 160

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ObservabilityToolMetricsResponse

application/json
  1. response
from*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
items*array<>
to*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X GET "https://example.com/v1/observability/tools" \  -H "x-deployments-organization: string"
{  "from": "2019-08-24T14:15:22Z",  "items": [    {}  ],  "to": "2019-08-24T14:15:22Z"}